<!-- .slide: data-background="slides/discipline.jpg" data-background-size="contain" data-background-opacity="0.6" -->

## Discipline <!-- .element: class="text-over-image" -->
<!-- .slide: data-background-color="#033" -->

-V-
<!-- .slide: data-background="slides/discipline.jpg" data-background-size="contain" data-background-opacity="0.3" -->
<!-- .slide: data-background-color="#033" -->
When your rationality wants one thing

but your emotions do something else.

---
<!-- .slide: data-background="slides/elephant_rider.jpg" data-background-size="contain" data-background-opacity="0.8" -->
### Elephant Rider

-V-
<!-- .slide: data-background="slides/elephant_rider.jpg" data-background-size="contain" data-background-opacity="0.3" -->

<div>

- metaphor describing our internal interactions
- elephant = emotional side
- rider = rational side

</div>

-V-
<!-- .slide: data-background="slides/elephant_rider.jpg" data-background-size="contain" data-background-opacity="0.2" -->
The **rider** is tiny but intelligent,<br />holding the reigns and choosing the right path.

The **elephant** is huge but simple,<br />with a mind of its own.

-V-
<!-- .slide: data-background="slides/elephant_rider.jpg" data-background-size="contain" data-background-opacity="0.1" -->
Most of the time, the elephant let's the rider lead the way.

But at 6 tons it won't be bossed around! <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background="slides/elephant_rider.jpg" data-background-size="contain" data-background-opacity="0.1" -->
If the rider is indecisive or tired,<br />the elephant will do as it likes.

If the elephant gets scared,<br />it will not obey the rider.
<!-- .element: class="fragment" -->

-V-

### Ego depletion

- making decisions (big or small) is tiring
- everyone has some operational capacity <!-- .element: class="fragment" -->
- when the capacity is depleted, we let the emotional side take over <!-- .element: class="fragment" -->

-V-

#### Replenishing the capacity

- allows us to avoid the depletion
- needs to be done in advance<!-- .element: class="fragment" -->
    - take breaks<!-- .element: class="fragment" -->
    - do simple manual activities<!-- .element: class="fragment" -->
    - improve your mood<!-- .element: class="fragment" -->

-V-

#### Growing the capacity

- it is possible to increase our capacity
- by building positive habits<!-- .element: class="fragment" -->
- by lowering an emotional aversion<!-- .element: class="fragment" -->

-V-

#### Emotional aversion

- some activities appear daunting right away:
    - demanding lots of effort<!-- .element: class="fragment" -->
    - ambiguous; many unknowns<!-- .element: class="fragment" -->
    - uncomfortable or even painful<!-- .element: class="fragment" -->
- this creates an emotional barrier<!-- .element: class="fragment" -->
- lowering the barrier makes an activity approachable<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background="slides/elephant_rider.jpg" data-background-size="contain" data-background-opacity="0.1" -->
The **rider** must plan around the **elephant's** needs

to make good progress on their journey

without being thrown into a ditch.

---
<!-- .slide: data-background-color="#542" data-background="slides/habit_tracker.jpg" data-background-size="contain" data-background-opacity="0.5" -->
### TOOL: Habit tracker <!-- .element: class="text-over-image" -->

-V-
<!-- .slide: data-background-color="#542" data-background="slides/habit_tracker.jpg" data-background-size="contain" data-background-opacity="0.1" -->
Define positive habits

and track them daily.

-V-

#### Why?
<!-- .slide: data-background-color="#542" -->
- habits help keeping our elephant in line:<!-- .element: class="fragment" -->
    - lower need for making decisions; it is already decided
    - less forgetting
    - more efficient use of time = more time for doing
- habits can evolve, we can keep improving<!-- .element: class="fragment" -->
- incremental changes take time, habits help us make the time<!-- .element: class="fragment" -->
- tracking habits increases the retention of habits<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#542" -->
#### How?
| Habit | Workout | Alcohol | Coding |
| ------|---------|---------|------- |
| Target| > 10 min| < 0,5 l |> 30 min|
| 1.    | 🟢 20    | 🟢  0    | 🔴   15 |
| 2.    | 🔴  5    | 🔴  1    | 🔴   10 |
| 3.    | 🔴  0    | 🟢  0,2  | 🔴   25 |
| 4.    | 🟢 13    | 🟢  0,2  | 🟢   35 |
| 5.    | 🟢 12    | 🟢  0    | 🟢   45 |

-V-
<!-- .slide: data-background-color="#030" -->
### My Habits

1. Get up early<!-- .element: class="fragment" data-fragment-index="1" -->
    - before 4:45 daily<!-- .element: class="fragment" -->
    - no exceptions<!-- .element: class="fragment" -->
2. Gym workout<!-- .element: class="fragment" data-fragment-index="2" -->
    - at least 10 minutes daily<!-- .element: class="fragment" -->
    - right after waking up<!-- .element: class="fragment" -->
3. Personal Work session<!-- .element: class="fragment" data-fragment-index="3" -->
    - at least 1 hour daily<!-- .element: class="fragment" -->
    - right after the gym<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" data-background-image="slides/habit_tracker_book.jpg" -->
#### Gym sessions tracker <!-- .element: class="text-over-image" -->
-V-
<!-- .slide: data-background-color="#030" data-background-image="slides/habit_tracker_page.jpg" -->
#### One page per week <!-- .element: class="text-over-image" -->
-V-
<!-- .slide: data-background-color="#030" data-background-image="slides/habit_tracker_100.jpg" -->
#### 100 weeks in a row<br/>(1.92 years) <!-- .element: class="text-over-image" -->

---
<!-- .slide: data-background-color="#542" data-background="slides/todo_today.jpg" data-background-size="contain" data-background-opacity="0.4" -->
### TOOL: ToDo Today  <!-- .element: class="text-over-image" -->

-V-

#### What is it?
<!-- .slide: data-background-color="#542" data-background="slides/todo_today.jpg" data-background-size="contain" data-background-opacity="0.1" -->
- list of prioritized, time-boxed tasks
- prepared the previous day

-V-

#### Why does it work?
<!-- .slide: data-background-color="#542" data-background="slides/todo_today.jpg" data-background-size="contain" data-background-opacity="0.1" -->
- avoids decision paralysis
- trimmed down daily list is manageable
- big tasks split into small ones
- the elephant doesn't get scared

-V-

##### Important task first
<!-- .slide: data-background-color="#542" data-background="slides/todo_today.jpg" data-background-size="contain" data-background-opacity="0.1" -->
<!-- .slide: data-background-color="#542" -->
- something you *want* or *need* to complete
- consistent daily progress

-V-
<!-- .slide: data-background-color="#030" -->
#### My ToDo tracker
Collection of markdown text files<br/>that are easy to edit (Joplin).

```markdown
# 2025-04-16
- done task A
- 🚧 🚧 WIP 🚧 🚧
- pending task B

# TOMORROW
- some task C

# LATER
- other task D
```

-V-
<!-- .slide: data-background-color="#030" -->
#### My ToDo tracker (2)

```markdown
# 2025-04-16
- done task A
- done task B
- 🚧 🚧 WIP 🚧 🚧

# TOMORROW
- some task C

# LATER
- other task D
```

During the day:

 🚧 🚧 WIP 🚧 🚧 line moves,<br/>
 showing what is done<br/>
 and what comes next.

-V-
<!-- .slide: data-background-color="#030" -->
#### My ToDo tracker (3)

```markdown
# 2025-04-17
- 🚧 🚧 WIP 🚧 🚧
- some task C
- other task D

# TOMORROW

# LATER
- yet another task E
```

At the end of the day:
1. TODAY entries move to an archive
2. TOMORROW is formed, becomes TODAY
3. Job well done!

---
<!-- .slide: data-background-color="#542" data-background="slides/daily_heroism.jpg" data-background-size="contain" data-background-opacity="0.5" -->
### TOOL: Daily Heroism <!-- .element: class="text-over-image" -->
[Philip Zimbardo] <!-- .element: class="reference-author" -->

-V-
<!-- .slide: data-background-color="#542" data-background="slides/daily_heroism.jpg" data-background-size="contain" data-background-opacity="0.1" -->
Take a small step out of your comfort zone.

Daily.

-V-
<!-- .slide: data-background-color="#542" data-background="slides/daily_heroism.jpg" data-background-size="contain" data-background-opacity="0.1" -->
#### Why?
- grows your ability to **act**, step out of the crowd
- supports fulfilling your vision and maintaining discipline

It makes the elephant jump before it realizes<br/> the hole is too deep for comfort.
<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### My Heroism

Game of smalltalk

- chat up random people<!-- .element: class="fragment" -->
- do it before you rationalize a reason to back out<!-- .element: class="fragment" -->
